open-vm-tools 2013.09.16

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
ToolsCorePool Struct Reference
Threading

Public interface of the shared thread pool. More...

`#include <threadPool.h>`

## Data Fields
guint(* | submit )(ToolsAppCtx *ctx, ToolsCorePoolCb cb, gpointer data, GDestroyNotify dtor)
void(* | cancel )(guint id)
gboolean(* | start )(ToolsAppCtx *ctx, ToolsCorePoolCb cb, ToolsCorePoolCb interrupt, gpointer data, GDestroyNotify dtor)

## Detailed Description

Public interface of the shared thread pool.

This struct is published in the service's TOOLS_CORE_PROP_TPOOL property, and contains function pointers to the internal implementation of the thread pool's functions. In general, applications may prefer to use the inline functions provided below instead, since they take care of some of the boilerplate code.

The documentation for this struct was generated from the following file:

- lib/include/vmware/tools/threadPool.h